Subject: Re: Several questions about RSVP

From: Rohit Chhapolia <[email-masked]>
Date: Wed, 05 Jul 2000 13:45:24 -0400

Hi Jie,

> 3. on page 48, line 16, section 5.3
> 
>         "On receipt of a message containing a HELLO REQUEST object, the
>    receiver MUST generate a Hello message containing a HELLO ACK object"
> 
>         "The receiver SHOULD also verify that the neighbor has not reset.
>    This is done by comparing the sender's Src_Instance field value with
>    the previously received value.  If the value differs, then a node
>    MUST treat the neighbor as if communication has been lost."
> 
>  my confused is about "the previously received value": if the receiver
>  received a message containing a HRO first time(no previously
>  received value), then the value should be difference(I guess), then the
>  communication has been lost at the first time by the explaination of
>  draft. It seems that establishing communication is not possible. But it
>  is possible. The question is how they can do it.

I agree with you that as currently stated it is a problem in the
draft. Perhaps it can be addressed by making the following change.

"The receiver SHOULD also verify that the neighbor has not reset IF
IT HAS EXISTING STATE FROM THIS NEIGHBOR."

When the Hello message is sent first time, there should not be any
existing state from this neighbor and protocol should work fine.

Rohit

-- 
Rohit Chhapolia
Globespan, Inc.
voice: 732-345-6237
mailto:[email-masked]
http://www.globespan.net